<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>
</head>
<body>

    <h2>JavaScript For Loop</h2>
   <input id="myinput">
   <button onclick="myfunction()">clickme</button>
   <p id="mypara"></p>
   <script>
     var userNames = "";
     function myfunction(){
       
       var limit=document.getElementById("myinput").value
       for(var i=1; i<=limit;i++){
        if(i==10){
           break;
         }
         userNames += i+ "<br>";
        //  document.getElementById("mypara").innerHTML = document.getElementById("mypara").innerHTML + i
       }
       document.getElementById("mypara").innerHTML = userNames
      
     }
    //  document.getElementById("mypara").innerHTML =document.getElementById("mypara").innerHTML=i+;
    //     var users = ["Kamal", "Amit", "Veera", "Yogi", "Chetan", "Geeta"];
    //     var userNames = "";
    //     var i;
    //     users[0] = "jimiwal"
    //     for (i = 0; i < users.length; i++) {
    //     userNames += "G" + users[i] + "<br>";
    // }
    // document.getElementById("demo").innerHTML = userNames;
    </script>
</body>
</html>